Menu

apiInboundShipment

RequêteClé requise

Arguments

NomTypeDescription
shipmentIdString!requis

Retourne

InboundShipmentDetailView!

Exemple

GraphQL
query ApiInboundShipment($shipmentId: String!) {
  apiInboundShipment(shipmentId: $shipmentId) {
    appointment {
      arrivedAt
      dockCode
      dockId
      endsAt
      facilityId
      holderId
      holderKind
      id
      note
      reference
      startsAt
      status
    }
    discrepancies {
      createdAt
      id
      kind
      note
      notifiedAt
      offerId
      photoKeys
      qty
      reference
      resolutionNote
      resolvedAt
      sellerMessage
      sellerRepliedAt
      sellerReply
      shipmentId
      status
    }
    lines {
      correctionId
      damagedQty
      expectedQty
      id
      locationId
      needsLabels
      needsMeasure
      offerId
      receivedQty
    }
    pickup {
      addressLine
      contactName
      contactPhone
      facilityId
      id
      note
      organizationId
      qrScannedAt
      scheduledFor
      shipmentId
      status
    }
    pickupQr {
      payload
      pngBase64
      token
    }
    reports {
      correctionId
      createdAt
      filename
      id
      kind
      photoKeys
      sentAt
      shipmentId
      shopRepresentative
      version
    }
    shipment {
      appointmentId
      arrivedAt
      cancelledAt
      closedAt
      createdAt
      damagedUnits
      dueAt
      expectedUnits
      facilityCode
      facilityId
      id
      inboundMode
      lateness
      note
      orderNo
      orderSliceId
      organizationId
      origin
      photoKeys
      receivedAt
      receivedUnits
      reference
      scheduledAt
      sellerReference
      shopRepresentative
      sliceNo
      status
    }
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiInboundShipment($shipmentId: String!) { apiInboundShipment(shipmentId: $shipmentId) { appointment { arrivedAt dockCode dockId endsAt facilityId holderId holderKind id note reference startsAt status } discrepancies { createdAt id kind note notifiedAt offerId photoKeys qty reference resolutionNote resolvedAt sellerMessage sellerRepliedAt sellerReply shipmentId status } lines { correctionId damagedQty expectedQty id locationId needsLabels needsMeasure offerId receivedQty } pickup { addressLine contactName contactPhone facilityId id note organizationId qrScannedAt scheduledFor shipmentId status } pickupQr { payload pngBase64 token } reports { correctionId createdAt filename id kind photoKeys sentAt shipmentId shopRepresentative version } shipment { appointmentId arrivedAt cancelledAt closedAt createdAt damagedUnits dueAt expectedUnits facilityCode facilityId id inboundMode lateness note orderNo orderSliceId organizationId origin photoKeys receivedAt receivedUnits reference scheduledAt sellerReference shopRepresentative sliceNo status } } }"}'